package mlproject.io;

public class StringInputSequence implements InputSequence<String>{
    private String[] sequence;
    private String name;
    
    public StringInputSequence(String name, String[] seq) {
        this.name = name;
        sequence = seq;
    }

    public String getName() {
        return name;
    }

    public String getX(int x) {
        return sequence[x];
    }

    public int length() {
        return sequence.length;
    }

    public InputSequence<String> getComponent(int component) {
        return null;
    }

    public boolean isComposite() {
        return false;
    }

    public int numberOfComponents() {
        return 0;
    }

    public void addComponent(InputSequence component) {
    }

    public void removeComponent(int component) {
    }
}
